package com.qmth.distributed.print.business.bean.dto.approvalForm;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.BackupMethodEnum;
import com.qmth.distributed.print.business.enums.ExamDetailStatusEnum;
import com.qmth.distributed.print.business.enums.PrintPlanStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 试卷包详情
 * @Author: CaoZixuan
 * @Date: 2021-09-07
 */
public class ExamPackageDetail {

    @ApiModelProperty(value = "考场表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examDetailId;

    @ApiModelProperty(value = "考试开始时间")
    private Long examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Long examEndTime;

    @ApiModelProperty(value = "考点")
    private String examPlace;

    @ApiModelProperty(value = "考场")
    private String examRoom;

    @ApiModelProperty(value = "卷袋编号")
    private String packageCode;

    @ApiModelProperty(value = "考场表状态")
    private ExamDetailStatusEnum examDetailStatus;

    @ApiModelProperty(value = "考场课程表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examDetailCourseId;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "考场课程表人数统计")
    private Integer examDetailCourseTotalSubjects;

    @ApiModelProperty(value = "考察课程表班级合计")
    private String clazzIds;

    @ApiModelProperty(value = "印刷计划id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examPrintPlanId;

    @ApiModelProperty(value = "印刷计划名称")
    private String examPrintPlanName;

    @ApiModelProperty(value = "印刷计划印品")
    private String printContent;

    @ApiModelProperty(value = "备份方式")
    private BackupMethodEnum backupMethod;

    @ApiModelProperty(value = "备份数量")
    private Integer backupCount;

    @ApiModelProperty(value = "印刷计划状态")
    private PrintPlanStatusEnum examPrintPlanStatus;

    public Long getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(Long examDetailId) {
        this.examDetailId = examDetailId;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public ExamDetailStatusEnum getExamDetailStatus() {
        return examDetailStatus;
    }

    public void setExamDetailStatus(ExamDetailStatusEnum examDetailStatus) {
        this.examDetailStatus = examDetailStatus;
    }

    public Long getExamDetailCourseId() {
        return examDetailCourseId;
    }

    public void setExamDetailCourseId(Long examDetailCourseId) {
        this.examDetailCourseId = examDetailCourseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getExamDetailCourseTotalSubjects() {
        return examDetailCourseTotalSubjects;
    }

    public void setExamDetailCourseTotalSubjects(Integer examDetailCourseTotalSubjects) {
        this.examDetailCourseTotalSubjects = examDetailCourseTotalSubjects;
    }

    public String getClazzIds() {
        return clazzIds;
    }

    public void setClazzIds(String clazzIds) {
        this.clazzIds = clazzIds;
    }

    public Long getExamPrintPlanId() {
        return examPrintPlanId;
    }

    public void setExamPrintPlanId(Long examPrintPlanId) {
        this.examPrintPlanId = examPrintPlanId;
    }

    public String getExamPrintPlanName() {
        return examPrintPlanName;
    }

    public void setExamPrintPlanName(String examPrintPlanName) {
        this.examPrintPlanName = examPrintPlanName;
    }

    public String getPrintContent() {
        return printContent;
    }

    public void setPrintContent(String printContent) {
        this.printContent = printContent;
    }

    public BackupMethodEnum getBackupMethod() {
        return backupMethod;
    }

    public void setBackupMethod(BackupMethodEnum backupMethod) {
        this.backupMethod = backupMethod;
    }

    public Integer getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(Integer backupCount) {
        this.backupCount = backupCount;
    }

    public PrintPlanStatusEnum getExamPrintPlanStatus() {
        return examPrintPlanStatus;
    }

    public void setExamPrintPlanStatus(PrintPlanStatusEnum examPrintPlanStatus) {
        this.examPrintPlanStatus = examPrintPlanStatus;
    }
}
